package cn.ysk.cashier.vo;

import org.springframework.data.domain.PageImpl;
import org.springframework.data.domain.Pageable;

import java.util.List;

public class StockPageImpl<T> extends PageImpl<T> {
    private Integer warnLine;

    public StockPageImpl(List<T> content, Pageable pageable, long total) {
        super(content, pageable, total);
    }

    public StockPageImpl(List<T> content) {
        super(content);
    }

    public Integer getWarnLine() {
        return warnLine;
    }

    public void setWarnLine(Integer warnLine) {
        this.warnLine = warnLine;
    }
}
